import modell.*;
import integrator.*;

public class Hauptklasse
{
    public static void main(String[] args)
    {
        double m = 1.0;
        double C = 1.0;
        double D = 0.1;
        double t = 0.0;
        double dt=0.01;
        LinearerSchwinger schwinger = new LinearerSchwinger(m,C,D);
        //EulerIntegrator integrator = new EulerIntegrator();
        RuKuIntegrator  integrator = new RuKuIntegrator();
        
        integrator.registriereModell(schwinger);
        
        double[] y_alt = {1.0,0.0};
        double[] y_neu = {1.0,0.0};
        
        for(int i=0;i<100;i++)
        {
            System.out.println(i+" "+t+" "+y_alt[0]);
            
            y_neu = integrator.zeitschritt(y_alt,t,dt);
            for(int k=0;k<y_neu.length;k++)
                y_alt[k] = y_neu[k];
            t+=dt;    
        }
    }
}
